Subject: RE: Updated: readline-5.1-3, libreadline6-5.1-3 - possible bug
From: "Paul J. Ghosh" <[email-masked]>
To: "'Eric Blake'" <[email-masked]>
Cc: [email-masked]
Date: Sat, 18 Feb 2006 08:33:38 -0600

Eric,

Find below the bindings and PS prompt being used.  Yes, it is the default
PS1.

pauljghosh@VAIO ~
$ bind -v
set blink-matching-paren on
set byte-oriented off
set completion-ignore-case off
set convert-meta on
set disable-completion off
set enable-keypad off
set expand-tilde off
set history-preserve-point off
set horizontal-scroll-mode off
set input-meta off
set mark-directories on
set mark-modified-lines off
set mark-symlinked-directories off
set match-hidden-files on
set meta-flag off
set output-meta off
set page-completions on
set prefer-visible-bell on
set print-completions-horizontally off
set show-all-if-ambiguous off
set show-all-if-unmodified off
set visible-stats off
set bell-style visible
set comment-begin #
set completion-query-items 100
set editing-mode vi
set keymap vi-insert

pauljghosh@VAIO ~
$ env | grep PS
PS1=\[\e]0;\w\a\]\n\[\e[32m\]\u@\h \[\e[33m\]\w\[\e[0m\]\n\$

-----Original Message-----
From: Eric Blake [mailto:[email-masked]] 
Sent: Friday, February 17, 2006 10:34 PM
To: Paul J. Ghosh
Cc: [email-masked]
Subject: Re: Updated: readline-5.1-3, libreadline6-5.1-3 - possible bug

According to Paul J. Ghosh on 2/17/2006 9:28 PM:
> I have key binding set to vi and now after having updated to the 
> newest version of readline the search capability invoked by ESC 
> followed by a / results in the prompt being displayed a few times 
> along with the /.  I have reverted to 5.0-4 for now which seems to work
fine.
> 
> 5.0-4 behavior:
> pauljghosh@VAIO ~
> $ /mysearch			<<<< typed ESC / and the search string here

What prompt are you using ($PS1)?  It makes a difference to my debugging.
 I don't normally use vi mode, and I thought I had just repaired this in
releasing 5.1-3.

- --
Life is short - so eat dessert first!

Eric Blake             [email-masked]
volunteer cygwin readline maintainer

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/